<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitModelSubscriptionsusers extends JModelList {

    var $insertedId = null;

    public function __construct($config = array()) {
        if (empty($config['filter_fields'])) {
            $config['filter_fields'] = array(
                'idSU',
                'nomeIscritto',
                'nomeAbbonamento',
                'dataInizio',
                'dataScadenza'
            );
        }

        parent::__construct($config);
    }

    protected function getListQuery() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select('su.idSU, su.idUser, su.prezzo, su.pagato, su.sospeso, su.giorniSospensione, su.giorniAggiuntivi, s.nome as nomeAbbonamento, 
			CONCAT(u.nome, " ", u.cognome) as nomeIscritto, dataInizio, su.note,
			IF(pagato = 1, 
				DATE_ADD(DATE_ADD(DATE_ADD(dataInizio, INTERVAL mesi MONTH), INTERVAL su.giorniAggiuntivi DAY), INTERVAL giorniSospensione DAY),
				DATE_ADD(DATE_ADD(dataInizio, INTERVAL mesi MONTH), INTERVAL su.giorniAggiuntivi DAY)) as dataScadenza')
                ->from($db->qn('#__crossfit_subscriptions_users') . ' su')
                ->innerJoin($db->qn('#__crossfit_subscriptions') . ' s ON s.idSubscription = su.idSubscription')
                ->innerJoin($db->qn('#__crossfit_users') . ' u ON u.idUser = su.idUser');

        $search = $this->getState('filter.search');

        if (!empty($search)) {
            $like = $db->quote('%' . $search . '%');
            $query->where('CONCAT(u.nome, " ", u.cognome, " ", s.nome) LIKE ' . $like);
        }

        if (JRequest::getVar('id')) {
            $query->where('su.idSU = ' . (int) JRequest::getVar('id'));
        }

        $orderCol = $this->state->get('list.ordering', 'dataScadenza');
        $orderDirn = $this->state->get('list.direction', 'desc');

        $query->order($db->escape($orderCol) . ' ' . $db->escape($orderDirn));

        return $query;
    }

    public function getItem() {
        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->select('*')->from($db->quoteName('#__crossfit_subscriptions_users'))->where('idSU = ' . (int) JRequest::getVar('idSU'));

        $db->setQuery($query);

        return $db->loadObjectList();
    }

    public function getForm($data = array(), $loadData = true) {
        $form = $this->loadForm(
                'com_gianluca.subscriptionsusers', 'subscriptionsusers', array(
            'control' => 'jform',
            'load_data' => $loadData
                )
        );

        if (empty($form)) {
            return false;
        }

        return $form;
    }

    public function publish($published = 1) {
        $cid = JRequest::getVar('cid');
        $mainframe = JFactory::getApplication();
        $db = JFactory::getDbo();

        foreach ($cid as $id) {
            $data = new stdClass;
            $data->idSubscription = $id;
            $data->published = $published;
            $db->updateObject('#__crossfit_subscriptions', $data, 'idSubscription');
        }

        $mainframe->redirect('index.php?option=com_crossfit&view=subscriptions');
    }

    public function unpublish() {
        $this->publish(0);
    }

    public function delete($id = null) {
        if (!$id)
            return;

        $db = JFactory::getDbo();
        $query = $db->getQuery(true);

        $query->delete('#__crossfit_subscriptions')->where('idSubscription = ' . $query->quote($id));

        $db->setQuery($query);

        return $db->execute();
    }

    public function save() {
        $db = JFactory::getDbo();
        $post = JRequest::get('post');
        $post = $post['jform'];

        $data = new stdClass;
        $data->nome = $post['nome'];
        $data->prezzo = $post['prezzo'];
        $data->descrizione = $post['descrizione'];
        $data->mesi = $post['mesi'];

        if ($post['idSubscription']) {
            $data->idSubscription = $post['idSubscription'];
            $db->updateObject('#__crossfit_subscriptions', $data, idSubscription, true);
        } else {
            $db->insertObject('#__crossfit_subscriptions', $data, idSubscription, true);
            $this->insertedId = $db->insertid();
        }
        return true;
    }

}
