CREATE TABLE IF NOT EXISTS `#__crossfit_users` (
  `idUser` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `cognome` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `codiceFiscale` varchar(16) COLLATE utf8_unicode_ci NOT NULL,
  `telefono` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `foto` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `dataNascita` date NOT NULL,
  `indirizzo` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `citta` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `provincia` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `dataCertificato` date DEFAULT NULL,
  `note` text COLLATE utf8_unicode_ci,
  `cittaNascita` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `categoria` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `anzianita` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `idUserJoomla` int(11) NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`idUser`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `#__crossfit_subscriptions` (
  `idSubscription` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `prezzo` float NOT NULL,
  `mesi` int(3) NOT NULL,
  `ad_ingressi` tinyint(1) NOT NULL,
  `ingressi` int(11) NOT NULL,
  `descrizione` text NOT NULL,
  `giorniValidi` int(11) NOT NULL DEFAULT '0',
  `adIngressiTotali` tinyint(1) NOT NULL,
  `ingressiTotali` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`idSubscription`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `#__crossfit_memberships` (
  `idMembership` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `costo` float NOT NULL,
  `dataInizio` date NOT NULL,
  `pagato` tinyint(4) NOT NULL DEFAULT '0',
  `durata` int(11) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`idMembership`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8_unicode_ci AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `#__crossfit_subscriptions_users` (
  `idSU` int(11) NOT NULL AUTO_INCREMENT,
  `idUser` int(11) NOT NULL,
  `idSubscription` int(11) NOT NULL,
  `dataInizio` date NOT NULL,
  `dataScadenzaReale` date NOT NULL,
  `giorniAggiuntivi` int(11) NOT NULL,
  `prezzo` float NOT NULL,
  `pagato` float NOT NULL DEFAULT '0',
  `sospeso` tinyint(1) NOT NULL DEFAULT '0',
  `giorniSospensione` int(11) NOT NULL DEFAULT '0',
  `dataAcconto` date DEFAULT NULL,
  `allenamentoAggiuntivo` tinyint(1) NOT NULL DEFAULT '0',
  `note` text NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `published` tinyint(1) NOT NULL,
  PRIMARY KEY (`idSU`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8_unicode_ci AUTO_INCREMENT=1 ;