<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitViewUser extends JViewLegacy {

    function display($tpl = null) {
        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));

            return false;
        }
        
        switch (JFactory::getApplication()->input->getCmd('layout', 'default')) {
            case 'membership':
                $this->form = $this->get('MembershipForm');
                $this->item = $this->get('Membership');
                $this->form->bind($this->item);

                $this->addMembershipToolBar();
                break;
            case 'usersubscription':
                $this->form = $this->get('SubscriptionForm');
                $this->item = $this->get('Subscription');
                $this->form->bind($this->item);
                
                $this->sospensions = $this->get("Sospensions");

                $this->addSubscriptionToolBar();
                break;
            case 'edit':
            default:
                $this->form = $this->get('Form');
                $this->item = $this->get('Item');
                $this->form->bind($this->item);

                $this->properties = $this->get('Properties');
                $this->propertiesForm = $this->get('propertiesForm');
                $this->propertiesForm->bind($this->item);

                $this->subscriptions = $this->get('Subscriptions');
                $this->subscriptionForm = $this->get('subscriptionForm');

                $this->memberships = $this->get('Memberships');
                $this->membershipForm = $this->get('membershipForm');

                $this->addToolBar();
                break;
        }

        parent::display($tpl);
    }

    protected function addToolBar() {
        if (JRequest::getVar('idUser')) {
            $title = "Modifica dettagli iscritto # " . JRequest::getVar('idUser');
        } else {
            $title = "Nuovo iscritto";
        }

        $input = JFactory::getApplication()->input;
        $input->set('hidemainmenu', true);

        JToolBarHelper::title($title, 'address');
        if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) {
            JToolBarHelper::apply('user.apply');
            JToolBarHelper::save('user.save');
        }
        JToolBarHelper::cancel('user.cancel');
    }

    protected function addMembershipToolBar() {
        if (JRequest::getVar('idMembership')) {
            $title = "Modifica quota d'iscrizione per l'iscritto # " . JRequest::getVar('idUser');
        } else {
            return false;
        }

        $input = JFactory::getApplication()->input;
        $input->set('hidemainmenu', true);

        JToolBarHelper::title($title, 'user');
        if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) {
            JToolBarHelper::apply('membership.apply');
            JToolBarHelper::save('membership.save');
        }
        JToolBarHelper::cancel('membership.cancel');
    }

    protected function addSubscriptionToolBar() {
        if (JRequest::getVar('idSU')) {
            $title = "Modifica dell'abbonamento per l'iscritto # " . JRequest::getVar('idUser');
        } else {
            return false;
        }

        $input = JFactory::getApplication()->input;
        $input->set('hidemainmenu', true);

        JToolBarHelper::title($title, 'user');
        if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) {
            JToolBarHelper::apply('usersubscription.apply');
            JToolBarHelper::save('usersubscription.save');
        }
        JToolBarHelper::cancel('usersubscription.cancel');
    }

}
