<?php

defined('_JEXEC') or die('Restricted access');

class CrossfitViewUsers extends JViewLegacy {

    function display($tpl = null) {

        if (JRequest::getVar("filter")['idPalestra']) {
            CrossfitHelper::setActualIdPalestra(JRequest::getVar("filter")['idPalestra']);
        } elseif (JRequest::getVar("filter")['idPalestra'] === "0") {
            CrossfitHelper::setActualIdPalestra(0);
            JRequest::setVar("idPalestra", null);
        } elseif (CrossfitHelper::getActualIdPalestra()) {
            JRequest::setVar("idPalestra", CrossfitHelper::getActualIdPalestra());
        } else {
            JRequest::setVar("idPalestra", null);
        }

        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->filterForm = $this->get('FilterForm');
        $this->activeFilters = $this->get('ActiveFilters');

        $this->palestre = CrossfitHelper::getLocation();

        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));

            return false;
        }

        $this->addToolBar();

        parent::display($tpl);
    }

    protected function addToolBar() {
        $title = "Gestione iscritti";

        if ($this->pagination->total) {
            $title .= " (" . $this->pagination->total . ")";
        }

        JToolBarHelper::title($title, 'users');
        if (JFactory::getUser()->authorise('crossfit.edit', 'com_crossfit')) {
            JToolBarHelper::deleteList('Vuoi cancellare gli utenti selezionati?', 'users.delete');
            JToolBarHelper::editList('user.edit');
            JToolBarHelper::addNew('user.add');
        }
        JToolBarHelper::custom('users.export', 'upload', 'Esporta', 'Esporta', true);
        JToolBarHelper::custom('users.resendEmail', 'envelope', 'Reinvia mail di attivazione', 'Reinvia mail di attivazione', true);
    }

}
